<script language="php">
/**********************************************************************
 * File  : mysql.erics
 * Author: Eric SEIGNE
 *         mailto:erics@rycks.com
 *         http://www.rycks.com/libre/
 * Date  : 15/09/1999
 * Modif : 05/01/2000
 * Modif : 08/03/2000
 * Modif : 02/11/2000
 *
 * Description: 
 *      Implmentation MySQL des fonctions SQL suivantes...
 *      Spcial pour PHP
 * 
 *********************************************************************/


//  ***********************************************************************  \\
// *      Copyright (c) 2000 by Eric Seigne <erics@rycks.com               * //
// *                                                                       * \\
// *    This program is free software; you can redistribute it and/or      * //
// *    modify it under the terms of the GNU General Public License as     * \\
// *    published by the Free Software Foundation; either version 2 of     * //
// *    the License, or (at your option) any later version.                * \\
// *                                                                       * //
// *    This program is distributed in the hope that it will be useful,    * \\
// *    but WITHOUT ANY WARRANTY; without even the implied warranty of     * //
// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      * \\
// *    GNU General Public License for more details.                       * //
// *                                                                       * \\
// *  You should have received a copy of the GNU General Public License    * //
// *  along with this program in the file 'COPYING'; if not, write to      * \\
// *  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,     * //
// *  Boston, MA 02111-1307, USA, or contact the author:                   * \\
// *                                                                       * //
// *                               Eric Seigne <erics@rycks.com>           * \\
// *                               http://www.rycks.com/libre/             * //
// *                                                                       * \\
// ************************************************************************* //

//On vire l'affichage des warnings et autre
error_reporting(0);

//-----------------------------------------------------------------------------
//Connexion  la base "$labase", retourne l'identificateur de connexion
function SQL_Connect($labase,$user,$pass,$host,$port)
{
  //les paramtres
  if(!empty($host))
    {
      $param = "$host";
      if(!empty($port))
	$param .= ":$port";
    }
  //connex a la base
  $conn = mysql_connect($param,$user,$pass);

  mysql_select_db($labase);
  
  return $conn;
}

//-----------------------------------------------------------------------------
//Connexion  la base "$labase", retourne l'identificateur de connexion
function SQL_pConnect($labase,$user,$pass,$host,$port)
{
  //les paramtres
  if(!empty($host))
    {
      $param = "$host";
      if(!empty($port))
	$param .= ":$port";
    }

  //connex a la base
  $conn = mysql_pconnect($param,$user,$pass);

  mysql_select_db($labase);
  
  return $conn;
}

//-----------------------------------------------------------------------------
//Ferme la connex $conn a la base
function SQL_Close($conn)
{
   return mysql_close($conn);  
}

//-----------------------------------------------------------------------------
//Execute la requete passe en paramtre
function SQL_Exec($conn, $requete)
{
  //Pour le debug ...
  //  print "<pre>req -> $requete</pre>\n";

  //le resultat
  $res = mysql_query($requete, $conn);

  //on renvoi tout ca
  if($res)
    return $res;
  else
    print "ERROR: " . mysql_error() . "\n";
}

//Le nombre de cols
function SQL_NumRows($resultat)
{
  if($resultat)
    return mysql_num_rows($resultat);
}

//Le nombre de champs
function SQL_NumFields($resultat)
{
  if($resultat)
    return mysql_num_fields($resultat);
}
//le resultat
function SQL_Result($resultat,$i,$j)
{
  if($resultat)
    return mysql_result($resultat,$i,$j);
}

//Le nom du champ
function SQL_FieldName($resultat,$i)
{
  if($resultat)
    return mysql_field_name($resultat,$i);
}

//Vide la memoire
function SQL_FreeResult($res)
{
  if($resultat)
    return mysql_free_result($res);
}

//Rcupre l'id du dernier insert
function SQL_LastInsertID($res)
{
  return mysql_insert_id();
}

//Le type du champ
function SQL_FieldType($res, $i){
  return mysql_field_type($res,$i);
}

//Le message d'erreur
function SQL_ErrorMessage($c){
  return mysql_error($c);
}

//le tableau compos de la ligne, assoc = 1 si associatif, sinon 0
function SQL_FetchRow($resultat,$i,$assoc = 0)
{
  if($resultat)
    if($assoc)
      return mysql_fetch_assoc($resultat);
    else
      return mysql_fetch_row($resultat);
}

//le tableau
function SQL_FetchArray($resultat)
{
  if($resultat)
    return mysql_fetch_array($resultat);
}

//le tableau
function SQL_FetchObject($resultat)
{
  if($resultat)
    return mysql_fetch_object($resultat);
}

//-----------------------------------------------------------------------------
</script>
